package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.Goods;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class GoodsListVo {
    private String appkey;

    private String appName;
    private String vendorName;

    private String goodsId;
    private String goodsImg;
    private String goodsName;
    private Float goodsPrice;
    private String goodsClassify;

    private LocalDateTime createTime;

    public GoodsListVo(){}
    public GoodsListVo(Goods goods){
        this.appkey = goods.getAppkey();

        this.appName = goods.getAppName();
        this.vendorName = goods.getVendorName();

        this.goodsId = goods.getGoodsId();
        this.goodsImg = goods.getGoodsImg();
        this.goodsName = goods.getGoodsName();
        this.goodsPrice = goods.getGoodsPrice();
        this.goodsClassify = goods.getGoodsClassify();

        this.createTime = goods.getCreateTime();
    }
}
